WITH RECURSIVE filegroups_needed AS
                   (SELECT fg.*
                    FROM filegroups fg
                             JOIN execution_blocks eb on fg.filegroup_id = eb.filegroup_id
                    WHERE eb.project_code IN ('13B-014', '17A-109', '17B-197',
                                              'Operations', '18B-265', 'VLASS1.1',
                                              'AGBT17B_044')
                    UNION ALL
                    SELECT fg.*
                    FROM filegroups fg
                             JOIN filegroups_needed ON fg.filegroup_id = filegroups_needed.parent_filegroup_id
                   )
SELECT DISTINCT * FROM filegroups_needed ORDER BY filegroup_id
